import { EventEmitter, TemplateRef, OnInit, ElementRef, ChangeDetectorRef, AfterContentChecked } from '@angular/core';
import { SchedulerViewDay, CalendarSchedulerEvent, SchedulerViewEvent } from './models';
import * as i0 from "@angular/core";
export declare class CalendarSchedulerEventComponent implements OnInit, AfterContentChecked {
    private hostElement;
    protected changeDetectorRef: ChangeDetectorRef;
    protected moment: any;
    title: string;
    day: SchedulerViewDay;
    event: SchedulerViewEvent;
    container: HTMLElement;
    showContent: boolean;
    showActions: boolean;
    showStatus: boolean;
    customTemplate: TemplateRef<any>;
    eventTitleTemplate: TemplateRef<any>;
    eventClicked: EventEmitter<{
        event: CalendarSchedulerEvent;
    }>;
    constructor(hostElement: ElementRef, changeDetectorRef: ChangeDetectorRef, moment: any);
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    /**
     * @hidden
     */
    onEventClick(mouseEvent: MouseEvent, event: CalendarSchedulerEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarSchedulerEventComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarSchedulerEventComponent, "calendar-scheduler-event", never, { "title": { "alias": "title"; "required": false; }; "day": { "alias": "day"; "required": false; }; "event": { "alias": "event"; "required": false; }; "container": { "alias": "container"; "required": false; }; "showContent": { "alias": "showContent"; "required": false; }; "showActions": { "alias": "showActions"; "required": false; }; "showStatus": { "alias": "showStatus"; "required": false; }; "customTemplate": { "alias": "customTemplate"; "required": false; }; "eventTitleTemplate": { "alias": "eventTitleTemplate"; "required": false; }; }, { "eventClicked": "eventClicked"; }, never, never, false, never>;
}
