import { ModuleWithProviders, InjectionToken } from '@angular/core';
import { SchedulerConfig } from './scheduler-config';
import * as i0 from "@angular/core";
import * as i1 from "./calendar-scheduler-view.component";
import * as i2 from "./calendar-scheduler-hour-segment.component";
import * as i3 from "./calendar-scheduler-header.component";
import * as i4 from "./calendar-scheduler-event.component";
import * as i5 from "./calendar-scheduler-event-title.component";
import * as i6 from "./calendar-scheduler-event-content.component";
import * as i7 from "./calendar-scheduler-event-actions.component";
import * as i8 from "./pipes/scheduler-event-title.pipe";
import * as i9 from "./pipes/calendar-scheduler-date.pipe";
import * as i10 from "@angular/common";
import * as i11 from "angular-calendar";
export * from './calendar-scheduler-view.component';
export * from './formatters/scheduler-date-formatter.provider';
export * from './formatters/scheduler-event-title-formatter.provider';
export * from './pipes/scheduler-event-title.pipe';
export * from './pipes/calendar-scheduler-date.pipe';
export * from './utils/calendar-scheduler-utils';
export * from './utils/calendar-scheduler-utils.provider';
export * from '../common/utils';
export * from './models';
export * from './calendar-scheduler-hour-segment.component';
export * from './calendar-scheduler-header.component';
export * from './calendar-scheduler-event.component';
export * from './calendar-scheduler-event-title.component';
export * from './calendar-scheduler-event-content.component';
export * from './calendar-scheduler-event-actions.component';
export declare const SCHEDULER_CONFIG: InjectionToken<unknown>;
export declare function provideSchedulerConfig(config: SchedulerConfig): SchedulerConfig;
/**
 * The main module of this library. Example usage:
 *
 * ```typescript
 * import { CalendarModule, DateAdapter } from 'angular-calendar';
 * import { adapterFactory } from 'angular-calendar/date-adapters/date-fns';
 * import { SchedulerModule } from 'angular-calendar-scheduler';
 *
 * @NgModule({
 *  imports: [
 *     CalendarModule.forRoot({
 *       provide: DateAdapter,
 *       useFactory: adapterFactory
 *     }),
 *     SchedulerModule.forRoot({ locale: 'en', headerDateFormat: 'daysRange' })
 *   ]
 * })
 * class MyModule {}
 * ```
 *
 */
export declare class SchedulerModule {
    static forRoot(config?: SchedulerConfig): ModuleWithProviders<SchedulerModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SchedulerModule, [typeof i1.CalendarSchedulerViewComponent, typeof i2.CalendarSchedulerHourSegmentComponent, typeof i3.CalendarSchedulerHeaderComponent, typeof i4.CalendarSchedulerEventComponent, typeof i5.CalendarSchedulerEventTitleComponent, typeof i6.CalendarSchedulerEventContentComponent, typeof i7.CalendarSchedulerEventActionsComponent, typeof i8.SchedulerEventTitlePipe, typeof i9.CalendarSchedulerDatePipe], [typeof i10.CommonModule, typeof i11.CalendarModule], [typeof i9.CalendarSchedulerDatePipe, typeof i1.CalendarSchedulerViewComponent, typeof i2.CalendarSchedulerHourSegmentComponent, typeof i3.CalendarSchedulerHeaderComponent, typeof i4.CalendarSchedulerEventComponent, typeof i5.CalendarSchedulerEventTitleComponent, typeof i6.CalendarSchedulerEventContentComponent, typeof i7.CalendarSchedulerEventActionsComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SchedulerModule>;
}
